> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create sub organization

> Creates sub organization under the main organization associated with the API key



## OpenAPI

````yaml https://api.callers.ai/openapi-json post /organization/sub-organization
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /organization/sub-organization:
    post:
      tags:
        - Organizations
      summary: Create sub organization
      description: >-
        Creates sub organization under the main organization associated with the
        API key
      operationId: OrganizationPublicController_createSubOrganization
      parameters:
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubOrganizationCreatePublicDto'
      responses:
        '201':
          description: Sub organization Created successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
      security:
        - Authorization: []
components:
  schemas:
    SubOrganizationCreatePublicDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        limits:
          type: object
          properties:
            incomingCalls:
              type: number
              minimum: 0
              exclusiveMinimum: false
              nullable: true
            outgoingContacts:
              type: number
              minimum: 0
              exclusiveMinimum: false
              nullable: true
          nullable: true
        retryAttemptsMaxValue:
          type: number
          minimum: 1
          exclusiveMinimum: false
          maximum: 10
          exclusiveMaximum: false
          nullable: true
        permissions:
          type: array
          items:
            type: string
            enum:
              - permission_enable_voip_and_phones
              - permission_enable_manage_members
              - permission_enable_analytics
              - permission_enable_api_keys
              - permission_enable_twilio_integration
              - permission_enable_cal_com_integration
              - permission_enable_slack_integration
              - permission_enable_sip_integration
              - permission_enable_telnyx_integration
              - permission_enable_whatsapp_integration
              - permission_enable_limit_concurrent_calls
              - permission_enable_view_and_select_phone_numbers
              - permission_enable_scan_spam_phone_numbers
              - permission_enable_sensitive_content_restriction
              - permission_enable_studio_chat
              - permission_enable_mfa
            x-enumNames:
              - PERMISSION_ENABLE_VOIP_AND_PHONES
              - PERMISSION_ENABLE_MANAGE_MEMBERS
              - PERMISSION_ENABLE_ANALYTICS
              - PERMISSION_ENABLE_API_KEYS
              - PERMISSION_ENABLE_TWILIO_INTEGRATION
              - PERMISSION_ENABLE_CAL_COM_INTEGRATION
              - PERMISSION_ENABLE_SLACK_INTEGRATION
              - PERMISSION_ENABLE_SIP_INTEGRATION
              - PERMISSION_ENABLE_TELNYX_INTEGRATION
              - PERMISSION_ENABLE_WHATSAPP_INTEGRATION
              - PERMISSION_ENABLE_LIMIT_CONCURRENT_CALLS
              - PERMISSION_ENABLE_VIEW_AND_SELECT_PHONE_NUMBERS
              - PERMISSION_ENABLE_SCAN_SPAM_PHONE_NUMBERS
              - PERMISSION_ENABLE_SENSITIVE_CONTENT_RESTRICTION
              - PERMISSION_ENABLE_STUDIO_CHAT
              - PERMISSION_ENABLE_MFA
        webhooks:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
              events:
                type: array
                items:
                  type: string
                  enum:
                    - POST_PROCESSING_FINISHED:INTERESTED
                    - POST_PROCESSING_FINISHED:NOT_INTERESTED
                    - POST_PROCESSING_FINISHED:CALL_ME_LATER
                    - POST_PROCESSING_FINISHED:WRONG_NUMBER
                    - POST_PROCESSING_FINISHED:DO_NOT_CALL
                    - POST_PROCESSING_FINISHED:VOICE_MAIL
                    - FORWARDED_CALL_FINISHED
                    - FORWARDED
                    - HANG_UP
                    - DIALING
                    - CONNECTED
                    - FAILED
                    - COULD_NOT_CONNECT:NO_ANSWER
                    - COULD_NOT_CONNECT:BUSY
                    - CALL_FINISHED
                  x-enumNames:
                    - POST_PROCESSING_FINISHED_INTERESTED
                    - POST_PROCESSING_FINISHED_NOT_INTERESTED
                    - POST_PROCESSING_FINISHED_CALL_ME_LATER
                    - POST_PROCESSING_FINISHED_WRONG_NUMBER
                    - POST_PROCESSING_FINISHED_DO_NOT_CALL
                    - POST_PROCESSING_FINISHED_VOICE_MAIL
                    - FORWARDED_CALL_FINISHED
                    - FORWARDED
                    - HANG_UP
                    - DIALING
                    - CONNECTED
                    - FAILED
                    - COULD_NOT_CONNECT_NO_ANSWER
                    - COULD_NOT_CONNECT_BUSY
                    - CALL_FINISHED
                default:
                  - POST_PROCESSING_FINISHED:INTERESTED
                  - POST_PROCESSING_FINISHED:NOT_INTERESTED
                  - POST_PROCESSING_FINISHED:CALL_ME_LATER
                  - POST_PROCESSING_FINISHED:WRONG_NUMBER
                  - POST_PROCESSING_FINISHED:DO_NOT_CALL
            required:
              - url
      required:
        - name
        - retryAttemptsMaxValue
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````